[tor-relays] Help needed to get obfs4proxy 0.0.13-1 into Ubuntu focal-backports

Dear Community, Dear Bridge Operators,

an updated obfs4proxy package was pushed to Debian bullseye-backports
about 2 weeks ago and solves a security issue and a partial
incompatibility between Tor browser and bridges [1, 2, 3]. See also the
E-Mail from meskio [4].

The new version, 0.0.13-1, will be available in Ubunutu jammy, planned
to be released in April as 22.04 LTS.

I would like to get this version into focal-backports, as focal (20.04
LTS) is a popular system.

For this reason, I filed a bug with Ubuntu.

Anyone who has experience with Ubuntu packages and backports is very
welcome to help.

Thank you and kind regards,

wurstsemmel

[1] [anti-censorship-team] obfs4proxy-0.0.12 (2021-12-31) fixes the Elligator2 bug
[2] Tor Browser's new obfs4proxy client has compatibility issues with old obfs4proxy bridges (#40804) · Issues · The Tor Project / Applications / Tor Browser · GitLab
[3] Update obfs4proxy package in debian (#33736) · Issues · The Tor Project / Anti-censorship / Pluggable Transports / obfs4 · GitLab
[4]
[tor-relays] update obfs4proxy if you run a bridge

···

_______________________________________________
tor-relays mailing list
tor-relays@lists.torproject.org
https://lists.torproject.org/cgi-bin/mailman/listinfo/tor-relays

1 Like